Subject: RE: [manet] About Presentation about Ad Hoc IP Address Autoconfiguration

From: Jaehoon Jeong <[email-masked]>
Date: Thu, 17 Jul 2003 08:16:18 -0700 (PDT)

Hi Lily,

--- "Yang, Lily L" <[email-masked]> wrote:
> Hi, Jaehoon --
> I had a conflict with MANET and so wasn't able to
> hear your
> presentation. I want to ask you one thing: What
> about the scenario when
> the mesh is connected to the internet? Do you think
> autoconfig still
> valuable and feasible since now the IP address has
> to be globally
> unique?

To clarify your question, do you mean autoconfig as
stateless autoconf?
If so, my answer is yes.
When considering Internet connectivity, Internet
Gateway or DHCP server should assign an IP address to
a manet node that wish to communicate with a
correspondent node in the Internet. Therefore, either
stateful or stateless autoconfiguration is necessary. 
However, we should also consider address
autoconfiguration in case that Internet Gateway is
inaccessible. It is general MANET, I think. In this
environment, local-scoped address autoconfiguration,
either stateless or stateful, is also necessary for
the MANET separated from the Internet.

/Jaehoon Paul

> Lily
> 
> -----Original Message-----
> From: Jaehoon Jeong [mailto:[email-masked]] 
> Sent: Wednesday, July 16, 2003 11:17 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: [manet] About Presentation about Ad Hoc IP
> Address
> Autoconfiguration
> 
> Hi MANET members.
> In this meeting, I brought ad hoc addressing issue
> to
> MANET wg again. I presented a stateless address
> autoconfiguration scheme, using strong DAD and weak
> DAD. 
> As I know, some people seem to have suggested to
> make
> a requirement document about Ad Hoc IP Address
> Autoconfiguration, which introduces the need of ad
> hoc
> address autoconfiguration and analyzes stateless and
> stateful approaches. After writing the document, I
> think, for each approach we can develope mechanism
> drafts as informational RFCs. I would like to write
> the requirement draft. Is there any other
> volunteers?
> 
> /Jaehoon Paul
> 
> __________________________________
> Do you Yahoo!?
> SBC Yahoo! DSL - Now only $29.95 per month!
> http://sbc.yahoo.com
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/manet

__________________________________
Do you Yahoo!?
SBC Yahoo! DSL - Now only $29.95 per month!
http://sbc.yahoo.com

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet